
TYPO3.Neos - Bug # 44174

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Must have
Author: Soren Malling Category: UI
Created: 2012-12-21 Assigned To: Aske Ertmann
Updated: 2014-11-02 Due date:
Subject: Removing image dimensions throws exception in AJAX response
Description

Removing dimensions, when inserting a image causes the AJAX response to throw a exception. ImageVariant can't take 0 or negative
numbers.

This could somehow be handlede both in the inspector and/or in the ImageVariant class

Associated revisions
Revision b54b59cd - 2013-02-14 22:32 - Aske Ertmann

[FEATURE] Improve handling of images in the inspector

Change-Id: I1fe94fc52e611d05eebc971889fa3d038af032d0
Fixes: #44174

Revision 4df2a619 - 2013-04-25 23:33 - Aske Ertmann

[BUGFIX] Removing image dimensions throws exception

This is fixed by only adding resize processing
instructions if the width and height is more than 0.

Change-Id: I490002ac365888b9d9f8048e4ce62c319e9f1bf3
Fixes: #44174

History
#1 - 2013-01-16 21:20 - Mattias Nilsson

Bugfix sent for review: https://review.typo3.org/17567

#2 - 2013-01-23 19:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17567

#3 - 2013-01-30 22:27 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17692
#4 - 2013-02-13 11:25 - Aske Ertmann
- Parent task set to #45020

#5 - 2013-02-13 13:39 - Aske Ertmann
- Subject changed from Removing image dimensions throws exception in AJAX respinse to Removing image dimensions throws exception in AJAX 
response

#6 - 2013-02-14 21:49 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17692

#7 - 2013-02-14 21:55 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17692

#8 - 2013-02-14 22:32 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17692

#9 - 2013-02-15 09:37 - Aske Ertmann
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b54b59cde7258e5a7d4931d634fafa58f46ef74b.

#10 - 2013-04-25 23:31 - Aske Ertmann
- Status changed from Resolved to Accepted
- Assigned To set to Aske Ertmann
- Priority changed from Should have to Must have
- % Done changed from 100 to 80

This is still an issue.

#11 - 2013-04-25 23:33 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20170

#12 - 2013-04-26 00:34 - Aske Ertmann
- Status changed from Accepted to Under Review
#13 - 2013-05-02 16:39 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:4df2a6198023da705efd6dedbb2c1a45cbaeb073.

#14 - 2014-11-02 18:21 - Aske Ertmann
- Status changed from Resolved to Closed
